사용자 di_hash 조회 API¶
본인인증, 성인인증에 성공한 사용자의 di_hash 값을 조회하는 API입니다. 1년 이내 본인인증, 성인인증 중 가장 최근 인증의 di_hash 를 제공합니다.
Request 정보¶
| 항목 | 설명 |
|---|---|
| 상용 URL | https://adult-auth.qpyou.cn/external/auth/di_hash |
| Sandbox URL | https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash |
| HTTP Method | POST |
| Data Format | JSON |
HTTP Header¶
| 항목 | 설명 |
|---|---|
| Content-Type | application/json;charset=utf-8 |
| Authorization | Bearer |
Note
Bearer 토큰은 [앱센터 > 프로젝트 관리 > 게임목록 - 게임사 게임 선택 > 게임상세 > 기본정보]에서 Hive 인증키에 해당합니다.
Request Body¶
| 명칭 | 타입 | 필수 여부 (필수: M, 옵션: O) | 설명 |
|---|---|---|---|
| game_index | Integer | M | 앱센터 Game Index |
| player_id | String | M | 하이브 계정의 Player ID |
| auth_type | String | O | 인증 타입 identity: 본인인증 adult: 성인인증 값 미전달 시 identity, adult 인증 정보를 모두 조회하여 반환 |
Response 정보¶
| 명칭 | 타입 | 필수 여부 (필수: M, 옵션: O) | 설명 |
|---|---|---|---|
| result_code | Integer | M | 응답 코드 |
| result_msg | String | M | 응답 코드에 따른 결과 메시지 |
| player_id | String | O | 하이브 계정의 Player ID |
| di_hash | String | O | di_hash |
| verified_at | String | O | 성인 인증한 시간 |
| auth_type | String | O | 인증 타입 identity: 본인인증 adult: 성인인증 |
성인 인증 완료 사용자 di_hash 조회 예시¶
Request¶
성인 인증을 완료한 사용자의 di_hash를 조회할 때 game_index와 player_id를 포함해 요청합니다.
curl -L -v \
-d '{"game_index" : 539, "player_id": "30000056996", "auth_type": "identity"}' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY" \
https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash
Response¶
{
"result_code": 0,
"result_msg": "Success",
"player_id": "30000056996",
"di_hash": "0c7b9088fc80db0532e599ee444b176fb6dfeb035767f98cf960eb59777f04ce",
"verified_at": "2026-04-27 15:35:03",
"auth_type": "identity"
}
Response codes (API 서버)¶
| 코드 | 설명 | 메시지 |
|---|---|---|
| 0 | 성공 | Success |
| 201 | 비어있는 요청 | 요청 파라미터가 없습니다. |
| 202 | 올바르지 않은 요청 파라미터 | 요청 파라미터가 잘못되었습니다. |
| 209 | 헤더 인증 실패 | 인증 정보가 일치하지 않습니다. 입력하신 정보를 다시 한 번 확인해 주세요. |